#pragma once

#include "CoreMinimal.h"
#include "Presenter.h"
#include "UObject/SoftObjectPtr.h"
#include "ScaleformTooltipPresenter.generated.h"

class UUserWidget;

UCLASS(Blueprintable, EditInlineNew)
class DBDUIPRESENTERS_API UScaleformTooltipPresenter : public UPresenter
{
	GENERATED_BODY()

public:
	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	TSoftClassPtr<UUserWidget> ScaleformTooltipWidgetClass;

public:
	UScaleformTooltipPresenter();
};

FORCEINLINE uint32 GetTypeHash(const UScaleformTooltipPresenter) { return 0; }
